Loading...
Searching...
No Matches
BALL::NMRStarFile::EntryInformation Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| EntryInformation ()
| ~EntryInformation ()
std::ostream & | operator>> (std::ostream &s)
void | clear ()

## Public Attributes

String | entry_type
String | BMRB_accession_code
String | NMR_STAR_version
String | experimental_method
String | submission_date

## Detailed Description

EntryInformation This class includes all "entry" information of a NMRStar file datablock. All members are public for easy access.

Definition at line 291 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## EntryInformation()

BALL::NMRStarFile::EntryInformation::EntryInformation | ( |  | ) |

## ~EntryInformation()

BALL::NMRStarFile::EntryInformation::~EntryInformation | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::NMRStarFile::EntryInformation::clear | ( |  | ) |

## operator>>()

std::ostream & BALL::NMRStarFile::EntryInformation::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## BMRB_accession_code

String BALL::NMRStarFile::EntryInformation::BMRB_accession_code

Definition at line 301 of file NMRStarFile.h.

## entry_type

String BALL::NMRStarFile::EntryInformation::entry_type

Definition at line 300 of file NMRStarFile.h.

## experimental_method

String BALL::NMRStarFile::EntryInformation::experimental_method

Definition at line 303 of file NMRStarFile.h.

## NMR_STAR_version

String BALL::NMRStarFile::EntryInformation::NMR_STAR_version

Definition at line 302 of file NMRStarFile.h.

## submission_date

String BALL::NMRStarFile::EntryInformation::submission_date

Definition at line 304 of file NMRStarFile.h.